Applies a partial update to a custom package. Only the fields you send are changed.
Changing a package does not alter candidate requests already created from it.
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Package UUID.
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Serializer for creating new packages.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/api/bgc/packages/497f6eca-6276-4993-bfeb-53cbbbba6f08/" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "country": "string", "country_code": "string", "check_types": null, "is_active": true, "is_public": true, "created_by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "first_name": "string", "last_name": "string", "email": "user@example.com", "last_login": "2019-08-24T14:15:22Z" }, "allow_candidate_access_report": true, "allow_candidate_payment": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "status": true, "message": "Request successful.", "errors": {}, "meta": { "timestamp": "2019-08-24T14:15:22Z", "version": "v1", "request_id": "string" }, "pagination": { "page": 0, "page_size": 0, "total_pages": 0, "total_items": 0 }}Response Codes & Statuses: Prembly API responses include custom
response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Prembly Slack Community
Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack Channel